# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLSelectElement Class Reference

The select element allows the selection of an option. More...

`#include <html_form.h>`

Inheritance diagram for DOM::HTMLSelectElement:

[legend]
Collaboration diagram for DOM::HTMLSelectElement:

[legend]
List of all members.

## Public Member Functions

| HTMLSelectElement (const HTMLSelectElement &other)
| HTMLSelectElement (const Node &other)
HTMLSelectElement & | operator= (const HTMLSelectElement &other)
HTMLSelectElement & | operator= (const Node &other)
DOMString | type () const
long | selectedIndex () const
void | setSelectedIndex (long)
DOMString | value () const
void | setValue (const DOMString &)
long | length () const
HTMLFormElement | form () const
HTMLCollection | options () const
bool | disabled () const
void | setDisabled (bool)
bool | multiple () const
void | setMultiple (bool)
DOMString | name () const
void | setName (const DOMString &)
long | size () const
void | setSize (long)
long | tabIndex () const
void | setTabIndex (long)
void | add (const HTMLElement &element, const HTMLElement &before)
void | remove (long index)
void | blur ()
void | focus ()

## Protected Member Functions

| HTMLSelectElement (HTMLSelectElementImpl *impl)

## Detailed Description

The select element allows the selection of an option.

The contained options can be directly accessed through the select element as a collection. See the SELECT element definition in HTML 4.0.

Definition at line 810 of file html_form.h.

## Member Function Documentation

DOMString HTMLSelectElement::type | ( |  | ) | const

| The type of control created. Definition at line 754 of file html_form.cpp.

long HTMLSelectElement::selectedIndex | ( |  | ) | const

| The ordinal index of the selected option. The value -1 is returned if no element is selected. If multiple options are selected, the index of the first selected option is returned. Definition at line 760 of file html_form.cpp.

void HTMLSelectElement::setSelectedIndex | ( | long |  | ) |

| see selectedIndex Definition at line 766 of file html_form.cpp.

DOMString HTMLSelectElement::value | ( |  | ) | const

| The current form control value. Definition at line 772 of file html_form.cpp. Referenced by setName(), setSize(), and setValue().

void HTMLSelectElement::setValue | ( | const DOMString & |  | ) |

| see value Definition at line 778 of file html_form.cpp. References DOM::DOMString::implementation(), DOM::DOMString::isNull(), and value().

long HTMLSelectElement::length | ( |  | ) | const

| The number of options in this `SELECT` . Definition at line 784 of file html_form.cpp. References DOM::DOMString::length().

HTMLFormElement HTMLSelectElement::form | ( |  | ) | const

| ### KDE 4.0: remove. Reimplemented from DOM::Element. Definition at line 790 of file html_form.cpp. References DOM::Element::form().

HTMLCollection HTMLSelectElement::options | ( |  | ) | const

| The collection of `OPTION` elements contained by this element. Definition at line 795 of file html_form.cpp.

bool HTMLSelectElement::disabled | ( |  | ) | const

| The control is unavailable in this context. See the disabled attribute definition in HTML 4.0. Definition at line 801 of file html_form.cpp. References DOM::HTMLCollection::isNull().

void HTMLSelectElement::setDisabled | ( | bool |  | ) |

| see disabled Definition at line 807 of file html_form.cpp.

bool HTMLSelectElement::multiple | ( |  | ) | const

| If true, multiple `OPTION` elements may be selected in this `SELECT` . See the multiple attribute definition in HTML 4.0. Definition at line 813 of file html_form.cpp. References DOM::HTMLCollection::isNull().

void HTMLSelectElement::setMultiple | ( | bool |  | ) |

| see multiple Definition at line 819 of file html_form.cpp.

DOMString HTMLSelectElement::name | ( |  | ) | const

| Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0. Definition at line 824 of file html_form.cpp.

void HTMLSelectElement::setName | ( | const DOMString & |  | ) |

| see name Definition at line 830 of file html_form.cpp. References value().

long HTMLSelectElement::size | ( |  | ) | const

| Number of visible rows. See the size attribute definition in HTML 4.0. Definition at line 835 of file html_form.cpp. References DOM::DOMString::toInt().

void HTMLSelectElement::setSize | ( | long |  | ) |

| see size Definition at line 841 of file html_form.cpp. References value().

long HTMLSelectElement::tabIndex | ( |  | ) | const

| Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0. Definition at line 850 of file html_form.cpp.

void HTMLSelectElement::setTabIndex | ( | long |  | ) |

| see tabIndex Definition at line 856 of file html_form.cpp.

void HTMLSelectElement::add | ( | const HTMLElement & | element,
|  | const HTMLElement & | before
| ) |

Add a new element to the collection of `OPTION` elements for this `SELECT` .

Parameters:

  | element | The element to add.
  | before | The element to insert before, or 0 for the tail of the list.

Definition at line 862 of file html_form.cpp.

void HTMLSelectElement::remove | ( | long | index | ) |

Remove an element from the collection of `OPTION` elements for this `SELECT` .

Does nothing if no element has the given index.

Parameters:

  | index | The index of the item to remove.

Definition at line 873 of file html_form.cpp.

References DOM::DOMString::remove().

void HTMLSelectElement::blur | ( |  | ) |

| Removes keyboard focus from this element. Definition at line 878 of file html_form.cpp.

void HTMLSelectElement::focus | ( |  | ) |

| Gives keyboard focus to this element. Definition at line 884 of file html_form.cpp.

The documentation for this class was generated from the following files:

- html_form.h
- html_form.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:11 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003